.. AUTO-GENERATED FILE. DO NOT EDIT. /one-desktop-applications-patch-one =================================== Summary ------- - **Source repository:** ``jef-systems/jef-one-backend`` - **Source SHA:** ``3270463a2e6a5d905ceae779f9a588fdde3cef87`` - **Source run id:** ``25887982658`` - **Lambda function:** ``jef-one-desktop-applications-patch-one`` - **HTTP method:** ``PATCH`` - **API path:** ``/one-desktop-applications-patch-one`` - **Endpoint URL:** ``https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-desktop-applications-patch-one`` - **Payload mode:** ``json-body`` Description ----------- - ``Function``: jef-one-desktop-applications-patch-one - ``Module``: jef-one - ``Action``: patch-one - ``Method``: PATCH - ``Invocation Mode``: ASYNC - ``Resource Path``: /one-desktop-applications-patch-one - ``Table``: jef-one-desktop-applications - ``Primary Key``: desktop\_application\_id API Gateway Response -------------------- - ``status\_code``: 202 - ``message``: Request accepted for asynchronous processing. Payload Example --------------- - ``desktop\_application\_id``: e888a8ca-0c65-44d7-af19-a15311427125 - ``desktop\_application\_name``: Jef One Desktop Applications - Billing Payload Schema -------------- .. code-block:: json { "root.type": "M", "root.required": "True", "root.attributes.desktop_application_id.type": "S", "root.attributes.desktop_application_id.required": "True", "root.attributes.desktop_application_id.format": "uuidv4", "root.attributes.desktop_application_id.regex": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$", "root.attributes.desktop_application_name.type": "S", "root.attributes.desktop_application_name.required": "False", "root.attributes.desktop_application_name.regex": "^[A-Za-z0-9 .,'_-]{1,120}$" } Response Schema --------------- .. code-block:: json { "root.type": "M", "root.required": "True", "root.attributes.is_accepted.type": "BOOL", "root.attributes.is_accepted.required": "True", "root.attributes.message.type": "S", "root.attributes.message.required": "True", "root.attributes.request_id.type": "S", "root.attributes.request_id.required": "False" } Request Payload --------------- .. code-block:: json { "desktop_application_id": "e888a8ca-0c65-44d7-af19-a15311427125", "desktop_application_name": "Jef One Desktop Applications - Billing" } Response -------- .. code-block:: json { "root.type": "M", "root.required": "True", "root.attributes.is_accepted.type": "BOOL", "root.attributes.is_accepted.required": "True", "root.attributes.message.type": "S", "root.attributes.message.required": "True", "root.attributes.request_id.type": "S", "root.attributes.request_id.required": "False" } CMD curl -------- .. code-block:: bat curl -X PATCH "https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-desktop-applications-patch-one" -H "Content-Type: application/json" --data-raw "{\"desktop_application_id\": \"e888a8ca-0c65-44d7-af19-a15311427125\", \"desktop_application_name\": \"Jef One Desktop Applications - Billing\"}" PowerShell curl --------------- .. code-block:: powershell curl.exe -X PATCH "https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-desktop-applications-patch-one" -H "Content-Type: application/json" --data-raw '{"desktop_application_id": "e888a8ca-0c65-44d7-af19-a15311427125", "desktop_application_name": "Jef One Desktop Applications - Billing"}'